<?
@session_start();
include('../connect/connect.php');
include('../lib/lib.php');

$id=intval($_REQUEST['id']);
if($id)
	{
	$r=mysql_query("SELECT * FROM board WHERE id='".$id."'");
	$rr=mysql_fetch_array($r);
	$email=$rr['email'];
	$zag=$rr['zag'];
	$them='Ответ на объявление N '.$id.': '.$zag;
	}
	
$idm=intval($_REQUEST['idm']);
if($idm)
	{
	$r=mysql_query("SELECT * FROM magazin WHERE id='".$idm."'");
	$rr=mysql_fetch_array($r);
	$email=$rr['email'];
	$zag=$rr['zag'];
	$them='Сообщение для магазина '.$zag;
	}


if($_POST['Submit'])
	{
	if(!$_SESSION['ID_Glob'] && !$_SESSION['ID_P'])
		{
		$cap_a = trim($_POST['cap']);
		if(!$cap_a)
		$err .= 'Не указан защитный код<br>';
		else
			{
			if($_SESSION['real_code'] != $cap_a)
			$err .= 'Неверно указан защитный код<br>';
			else
				{
				$cap_a = number_format($cap_a,0,"",",");
				$cap_b = $_POST['ip_address'];
				if($cap_a!=$cap_b) $err .= 'Неверно указан защитный код<br>';
				}
			}
		if(isset($_SESSION['real_code'])) unset($_SESSION['real_code']);
		}
	
	
	$send_email=trim($_POST['send_email']);
	if(!$send_email)
	$err .= "Не указан e-mail<br>";
	elseif (! _email($send_email))
	$err .= "Некорректный e-mail<br>";
	
	
	$message1=_pre2($_POST['message']);
	$message=$message1[1];
	if(!$message)
	$err .= "Не указан текст сообщения<br>";
	
	if(!$err)
		{
		if (@mail_utf8($email, $them, $message, $send_email)) 
			$otpr='<font color=green>Ваше сообщение успешно отправлено</font> ';
		else
			{
			$otpr='<font color=red>Не удалось отправить Ваше сообщение<br>Попробуйте повторить позже</font> ';
			}
		}
	}


?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml2/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<meta name="robots" content="nofollow" />
<link rel="stylesheet" type="text/css" href="../style/style.css" />
<script type="text/javascript" charset="utf-8" src="../js/jquery-1.4.4.min.js"></script>
</head>
<BODY>
<table width=100%>
	<tr height=64>
		<td width=64>
		<img border=0 src="../icon/8.gif">
		<td align=center><h3>Отправка сообщения</h3>
	<tr>
	<td colspan=2>
	<?
	if($err)
	echo '<p><font color=red>'.$err.'</font></p>';
	
	if(!$otpr)
	{
	?>
	<form name="form1" method="post" action="">
	<font size=+1 color=red>*</font> Ваш e-mail
	<br>
	<input size="30" type="text" name="send_email" value="<?=$send_email?>">
	<br>
	<font size=+1 color=red>*</font> Текст письма
	<br>
	<textarea name="message" cols="50" rows="9"><?=$message?></textarea>
	<br>
	<? 
	if(!$_SESSION['ID_Glob'] && !$_SESSION['ID_P'])
		{
		//$font_name[] = array(18, "../blok/new1.ttf"); 
		$font_name[] = array(18, "../blok/new2.ttf"); 
		//$font_name[] = array(20, "../blok/new3.ttf"); 
		//$font_name[] = array(22, "../blok/new4.ttf"); 
		shuffle($font_name);
	
		$m_rand1=1005;
		$m_rand2=9991;
		$cap_img='../tmp_capcha/'.ip2long($_SERVER['REMOTE_ADDR']).'.jpg';
		@mt_srand(time());
		
			$cap_int=mt_rand($m_rand1,$m_rand2);
			$_SESSION['real_code']=$cap_int;
			if($typ_captcha && function_exists('cifr'))
			cifr($cap_int, $cap_img);
			else
				{
				$cap_str=code($cap_int);
				$im=imagecreate(470, 26);
				imagecolorallocate($im,255,255,255);
				$color=imagecolorallocate($im,100,100,100);
				@imagettftext($im, $font_name[0][0], 0, 0, 19, $color, $font_name[0][1], $cap_str);
				imagejpeg($im, $cap_img);
				imagedestroy($im);
				}
		
		echo '<img border="0" src="'.$cap_img.'?id='.time().'">';
		?>
		<br>
		<font size=+1 color=red>*</font> Введите защитный код цифрами 
		<input type="text" size=10 name="cap" id="cap" value="">
		<?
		}
		?>
	<input type="hidden" name="ip_address" id="ip_address" value="<?=$_SERVER['REMOTE_ADDR']?>">
	<br>
	<input class="submit" type="submit" name="Submit" value="Отправить" >
	</form>
	<?
	}
	else echo '<p>'.$otpr.'</p>';
	?>
</table>
<script type="text/javascript" charset="utf-8" src="../js/tb.js"></script>
</body>
</html>